GET /api/v3/sharedenv?projectId={projectId}&baseBlueprintId={bpId}&regionId={regionId}&classId={classId}

Returns the list of `SharedEnvBlueprintDto` connections between the specified base blueprint and shared environment blueprints for the given project and region; these shared env blueprints can be assigned as the shared environment when creating an experience.

Request Path

GET /api/v3/sharedenv

Request Payload

None

Parameters

{projectId} Project Id
{baseBlueprintId} Base blueprint id
{regionId} Region id
{classId} Class id (Optional).When supplied, results may be annotated to indicate whether a shared env blueprint is currently used by that class

Response Example

[
{
"id": "SE_123456",
"baseBlueprintFriendlyName": "Base Blueprint Environment",
"baseBlueprintId": "BP_def456",
"sharedBlueprintFriendlyName": "Shared Blueprint Environment",
"sharedBlueprintId": "BP_abc999",
"ProjectName": "Demo Project",
"ProjectId": "PR123"
},
{
"id": "SE_789",
"baseBlueprintFriendlyName": "Base Blueprint Environment 2",
"baseBlueprintId": "BP_def333",
"sharedBlueprintFriendlyName": "Shared Blueprint Environment 2",
"sharedBlueprintId": "BP_abc333",
"ProjectName": "Demo Project",
"ProjectId": "PR123"
}
]

Response Parameters